summaryrefslogtreecommitdiffstats
path: root/source/a/procps/procps.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/procps/procps.SlackBuild')
-rwxr-xr-xsource/a/procps/procps.SlackBuild46
1 files changed, 28 insertions, 18 deletions
diff --git a/source/a/procps/procps.SlackBuild b/source/a/procps/procps.SlackBuild
index a5163bbc2..e5e85ffc4 100755
--- a/source/a/procps/procps.SlackBuild
+++ b/source/a/procps/procps.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2005-2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2005-2011 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,13 +21,22 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=3.2.7
+VERSION=3.2.8
# Sometimes this number lags behind...
-SOVER=3.2.7
-PSMISCVER=22.3
-ARCH=${ARCH:-x86_64}
+SOVER=3.2.8
+PSMISCVER=22.13
BUILD=${BUILD:-3}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-procps
@@ -52,8 +61,8 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf procps-$VERSION
-tar xzvf $CWD/procps-$VERSION.tar.gz
-cd procps-$VERSION
+tar xvf $CWD/procps-$VERSION.tar.?z* || exit 1
+cd procps-$VERSION || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -62,9 +71,10 @@ find . \
-exec chmod 644 {} \;
mkdir -p $PKG/usr/doc/procps-$VERSION
-cp -a BUGS COPYING COPYING.LIB NEWS TODO $PKG/usr/doc/procps-$VERSION
+cp -a BUGS COPYING* NEWS TODO $PKG/usr/doc/procps-$VERSION
chown root:root $PKG/usr/doc/procps-$VERSION/*
chmod 644 $PKG/usr/doc/procps-$VERSION/*
+
# While I don't agree this is a harmful patch, I will defer to the
# maintainer's judgement on this one. Besides, I quit using the '-'
# with ps years ago. It wasn't that hard to change.
@@ -83,7 +93,14 @@ if [ "$ARCH" = "x86_64" ]; then
zcat $CWD/procps-3.2.7-ps-eip64.diff.gz | patch -p1 --verbose || exit 1
fi
-make OPT="$SLKCFLAGS"
+# Add support for cgroups display:
+zcat $CWD/procps-3.2.7-ps-cgroup.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/procps-3.2.8-ps-cgroup-suppress-root-group.patch.gz | patch -p1 --verbose || exit 1
+
+# Init contructors in correct order to avoid "Unknown HZ value!":
+zcat $CWD/procps-3.2.8.unknown.hz.value.diff.gz | patch -p1 --verbose || exit 1
+
+make OPT="$SLKCFLAGS" || make OPT="$SLKCFLAGS" || exit 1
mkdir -p $PKG/lib${LIBDIRSUFFIX} $PKG/bin $PKG/sbin $PKG/usr/bin
cat free > $PKG/bin/free
cat ps/ps> $PKG/bin/ps
@@ -123,7 +140,7 @@ echo "| psmisc-$PSMISCVER |"
echo "+=============+"
cd $TMP
rm -rf psmisc-$PSMISCVER
-tar xzvf $CWD/psmisc-$PSMISCVER.tar.gz
+tar xvf $CWD/psmisc-$PSMISCVER.tar.?z* || exit 1
cd psmisc-$PSMISCVER
# Maybe we'll turn on NLS when it supports more than
# just US English. :)
@@ -135,7 +152,7 @@ mkdir -p $PKG/usr/doc/psmisc-$PSMISCVER
cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README $PKG/usr/doc/psmisc-$PSMISCVER
chmod 644 $PKG/usr/doc/psmisc-$PSMISCVER/*
chown root:root $PKG/usr/doc/psmisc-$PSMISCVER/*
-make
+make || make || exit 1
cd src
strip fuser pstree killall
cat fuser > $PKG/usr/bin/fuser
@@ -182,10 +199,3 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
makepkg -l y -c n $TMP/procps-$VERSION-$ARCH-$BUILD.txz
-# Clean up the extra stuff:
-if [ "$1" = "--cleanup" ]; then
- rm -rf $TMP/procps-$VERSION
- rm -rf $TMP/procinfo-18
- rm -rf $TMP/psmisc-$PSMISCVER
- rm -rf $PKG
-fi